<html>

<head>
<title>Libogg API Reference</title>
<link rel=stylesheet href="style.css" type="text/css">
</head>

<body bgcolor=white text=black link="#5555ff" alink="#5555ff" vlink="#5555ff">
<table border=0 width=100%>
<tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg - 20020719</p></td>
</tr>
</table>

<h1>Libogg API Reference</h1>

<p>
<b>Data Structures</b><br>
<a href="oggpack_buffer.html">oggpack_buffer</a><br>
<a href="ogg_page.html">ogg_page</a><br>
<a href="ogg_stream_state.html">ogg_stream_state</a><br>
<a href="ogg_packet.html">ogg_packet</a><br>
<a href="ogg_sync_state.html">ogg_sync_state</a><br>
<br>
<b>Bitpacking</b><br>
<a href="oggpack_writeinit.html">oggpack_writeinit()</a><br>
<a href="oggpack_reset.html">oggpack_reset()</a><br>
<a href="oggpack_writetrunc.html">oggpack_writetrunc()</a><br>
<a href="oggpack_writealign.html">oggpack_writealign()</a><br>
<a href="oggpack_writecopy.html">oggpack_writecopy()</a><br>
<a href="oggpack_writeclear.html">oggpack_writeclear()</a><br>
<a href="oggpack_readinit.html">oggpack_readinit()</a><br>
<a href="oggpack_write.html">oggpack_write()</a><br>
<a href="oggpack_look.html">oggpack_look()</a><br>
<a href="oggpack_look1.html">oggpack_look1()</a><br>
<a href="oggpack_adv.html">oggpack_adv()</a><br>
<a href="oggpack_adv1.html">oggpack_adv1()</a><br>
<a href="oggpack_read.html">oggpack_read()</a><br>
<a href="oggpack_read1.html">oggpack_read1()</a><br>
<a href="oggpack_bytes.html">oggpack_bytes()</a><br>
<a href="oggpack_bits.html">oggpack_bits()</a><br>
<a href="oggpack_get_buffer.html">oggpack_get_buffer()</a><br>
<br>
<b>Decoding-Related</b><br>
<a href="ogg_sync_init.html">ogg_sync_init()</a><br>
<a href="ogg_sync_clear.html">ogg_sync_clear()</a><br>
<a href="ogg_sync_destroy.html">ogg_sync_destroy()</a><br>
<a href="ogg_sync_reset.html">ogg_sync_reset()</a><br>
<a href="ogg_sync_buffer.html">ogg_sync_buffer()</a><br>
<a href="ogg_sync_wrote.html">ogg_sync_wrote()</a><br>
<a href="ogg_sync_pageseek.html">ogg_sync_pageseek()</a><br>
<a href="ogg_sync_pageout.html">ogg_sync_pageout()</a><br>
<a href="ogg_stream_pagein.html">ogg_stream_pagein()</a><br>
<a href="ogg_stream_packetout.html">ogg_stream_packetout()</a><br>
<a href="ogg_stream_packetpeek.html">ogg_stream_packetpeek()</a><br>
<br>
<b>Encoding-Related</b><br>
<a href="ogg_stream_packetin.html">ogg_stream_packetin()</a><br>
<a href="ogg_stream_pageout.html">ogg_stream_pageout()</a><br>
<a href="ogg_stream_flush.html">ogg_stream_flush()</a><br>
<br>
<b>General</b><br>
<a href="ogg_stream_init.html">ogg_stream_init()</a><br>
<a href="ogg_stream_clear.html">ogg_stream_clear()</a><br>
<a href="ogg_stream_reset.html">ogg_stream_reset()</a><br>
<a href="ogg_stream_reset_serialno.html">ogg_stream_reset_serialno()</a><br>
<a href="ogg_stream_destroy.html">ogg_stream_destroy()</a><br>
<a href="ogg_page_version.html">ogg_page_version()</a><br>
<a href="ogg_page_continued.html">ogg_page_continued()</a><br>
<a href="ogg_page_packets.html">ogg_page_packets()</a></br>
<a href="ogg_page_bos.html">ogg_page_bos()</a><br>
<a href="ogg_page_eos.html">ogg_page_eos()</a><br>
<a href="ogg_page_granulepos.html">ogg_page_granulepos()</a><br>
<a href="ogg_page_serialno.html">ogg_page_serialno()</a><br>
<a href="ogg_page_pageno.html">ogg_page_pageno()</a><br>
<a href="ogg_packet_clear.html">ogg_packet_clear()</a><br>
<a href="ogg_page_checksum_set.html">ogg_page_checksum_set()</a><br>
<br><br>
<hr noshade>
<table border=0 width=100%>
<tr valign=top>
<td><p class=tiny>copyright &copy; 2002 Xiph.org Foundation</p></td>
<td align=right><p class=tiny><a href="http://www.xiph.org/ogg/">Ogg Container Format</a></p></td>
</tr><tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg - 20020719</p></td>
</tr>
</table>

</body>

</html>
